summaryrefslogtreecommitdiff
path: root/bin/sourel
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2022-10-04 14:37:26 -0700
committerSean Whitton <spwhitton@spwhitton.name>2022-10-04 14:37:28 -0700
commitd7e8fc02bfbf35ca0639dc49a62dc2649b72dc66 (patch)
tree20800b1787381f43fe5d33c11e9828f5fc48aa44 /bin/sourel
parenta83b4fd6363340359f58bb3a49750af1771b68d5 (diff)
downloaddotfiles-d7e8fc02bfbf35ca0639dc49a62dc2649b72dc66.tar.gz
add sourel script
Diffstat (limited to 'bin/sourel')
-rwxr-xr-xbin/sourel22
1 files changed, 22 insertions, 0 deletions
diff --git a/bin/sourel b/bin/sourel
new file mode 100755
index 00000000..4b8c0e97
--- /dev/null
+++ b/bin/sourel
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# post-NEW source-only uploads
+
+set -e
+
+if ! git is-clean; then
+ echo >&2 "must commit first"
+ exit 1
+fi
+
+if [ "$(dpkg-parsechangelog -SDistribution)" = UNRELEASED ]; then
+ echo >&2 "there are unreleased changes?"
+ exit 1
+fi
+
+debchange --no-auto-nmu Source-only upload.
+debchange --release
+git commit debian/changelog -m"Source-only upload"
+
+origtargz
+exec debrel "$@"